## testing project-0.1.0

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = testing_project
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## testing 0.1

=== debian/changelog ===
testing (0.1) jaunty; urgency=low

  * Convert into being an example.

 -- Adam Berluys <berluys@gmail.com>  Tue, 14 Dec 2010 19:28:13 +0200

=== debian/control ===
Source: testing
Section: user/desktop
Priority: optional
Maintainer: Adam Berluys <berluys@gmail.com>
Build-Depends: debhelper (>= 4.0.0), hildon-theme-layout-5 (>= 0.15.0), hildon-theme-layout-5 (< 0.16.0), hildon-theme-tools, imagemagick
Standards-Version: 3.6.0

Package: testing
Architecture: all
Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0)
Description: teasting1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME := testing

HAVE_TEMPLATES = `test -f applications/startup-wizard/template.png \
                 -a -f template/template.png`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-doc-dir=\$${prefix}/share/doc

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	if $(HAVE_TEMPLATES); then $(MAKE); fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f install-stamp
	rm -f debian/files
	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	rm -rf debian/$(PKGNAME)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/build
	if $(HAVE_TEMPLATES); then \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME); \
	fi

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	maemo-optify $(PKGNAME)
	dh_md5sums
	dh_builddeb
	

# Build architecture-dependent files here.
binary-arch: build install
	# Make sure that dpkg-genchanges will not fail,
	# but there is nothing else to do.
	touch debian/files

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## testing tools-0.0.1

=== Makefile ===
-include ./devops/makefiles/Makefile


test-all:  ## Run all tests
	@$(MAKE) ${MAKE_TAG} echo-cyan msg="2.1. Unit tests"
	@$(MAKE) ${MAKE_TAG} pytest mark=ut

	@$(MAKE) ${MAKE_TAG} echo-cyan msg="2.2. End-to-end tests"
	@$(MAKE) ${MAKE_TAG} pytest mark=e2e
.PHONY: test-all

=== devops/makefiles/Makefile ===
-include ./devops/makefiles/.env.mk
export ./devops/makefiles/.env.mk
-include ./devops/makefiles/log.mk

SUBMODULE_FOLDER := devops
SUBMODULE_ROOT_FILES_PATH := ${SUBMODULE_FOLDER}/root_files

# ============================
#   ENV
# ============================
.PHONY: venv
venv: ## Create virtualenv
	$(PYTHON) -m venv $(VENV_NAME)
	@$(MAKE) $(MAKE_TAG) venv-activate
	$(PIP) install --upgrade pip
	$(PIP) install -r requirements/dev.txt
	$(PIP) install -e .


.PHONY: venv-activate
venv-activate: ## Activate virtual env
	$(VENV_ACTIVATE)


# ============================
#   TEST
# ============================

pytest:  ## Project pytest
	${PYTEST} -m "${mark}" ${var}
.PHONY: pytest


.PHONY: unit-test
unit-test:  ## Run a test
	$(MAKE) ${MAKE_TAG} echo-purple msg="+++unit-test:"
	@$(MAKE) ${MAKE_TAG} pytest var=${TEST_PATH} mark=ut


.PHONY: end-to-end-test
end-to-end-test:  ## Run a test
	$(MAKE) ${MAKE_TAG} echo-purple msg="+++end-to-end-test:"
	@$(MAKE) ${MAKE_TAG} pytest var=${TEST_PATH} mark=e2e
